Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.generators
Class DHBasicKeyPairGenerator

    java.lang.Object
      org.bouncycastle.crypto.generators.DHBasicKeyPairGenerator

All Implemented Interfaces:
  AsymmetricCipherKeyPairGenerator

    public class DHBasicKeyPairGenerator

extends java.lang.Object
implements AsymmetricCipherKeyPairGenerator

a basic Diffie-Hellman key pair generator. This generates keys consistent for use with the basic algorithm for Diffie-Hellman.

Constructor Summary
`DHBasicKeyPairGenerator()`

Method Summary
`AsymmetricCipherKeyPair` `generateKeyPair()` return an AsymmetricCipherKeyPair containing the generated keys.
`void` `init(KeyGenerationParameters param)` intialise the key pair generator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHBasicKeyPairGenerator

    public DHBasicKeyPairGenerator()

Method Detail

### init

    public void init(KeyGenerationParameters param)

  Description copied from interface: `AsymmetricCipherKeyPairGenerator`
  intialise the key pair generator.

  Specified by:
    `init` in interface `AsymmetricCipherKeyPairGenerator`
  Parameters:
    `param` - the parameters the key pair is to be initialised with.

### generateKeyPair

    public AsymmetricCipherKeyPair generateKeyPair()

  Description copied from interface: `AsymmetricCipherKeyPairGenerator`
  return an AsymmetricCipherKeyPair containing the generated keys.

  Specified by:
    `generateKeyPair` in interface `AsymmetricCipherKeyPairGenerator`
  Returns:
    an AsymmetricCipherKeyPair containing the generated keys.

Bouncy Castle Cryptography Library 1.45